all: font install clean

# FN=AuriocusKalligraphicus

font: $(FN)/$(FN).sfd genfont.ff
	cd $(FN); fontforge -script ../genfont.ff $(FN) $(OFN)

install: font
	cp $(FN)/$(FN).pfb $(FN)/$(FN)Bold.pfb $(FN)/$(FN)Slant.pfb $(FN)/$(FN)Rslant.pfb $(FN)/$(FN)BoldSlant.pfb $(FN)/$(FN)BoldRslant.pfb texmf/fonts/type1/public/aurical/
	cp $(FN)/$(FN).tfm $(FN)/$(FN)Bold.tfm  $(FN)/$(FN)Slant.tfm $(FN)/$(FN)Rslant.tfm $(FN)/$(FN)BoldSlant.tfm  $(FN)/$(FN)BoldRslant.tfm texmf/fonts/tfm/public/aurical/
	cp $(FN)/$(FN).afm $(FN)/$(FN)Bold.afm $(FN)/$(FN)Slant.afm  $(FN)/$(FN)Rslant.afm $(FN)/$(FN)BoldSlant.afm $(FN)/$(FN)BoldRslant.afm texmf/fonts/afm/public/aurical/
ifdef OFN
	cp $(FN)/$(OFN).pfb $(FN)/$(OFN)Slant.pfb $(FN)/$(OFN)Rslant.pfb $(FN)/$(OFN)Bold.pfb $(FN)/$(OFN)BoldSlant.pfb $(FN)/$(OFN)BoldRslant.pfb texmf/fonts/type1/public/aurical/
	tftopl $(FN)/$(OFN).tfm | awk -f longs.awk >$(FN)/$(OFN).pl
	pltotf $(FN)/$(OFN).pl texmf/fonts/tfm/public/aurical/$(OFN).tfm 
	tftopl $(FN)/$(OFN)Slant.tfm | awk -f longs.awk >$(FN)/$(OFN).pl
	pltotf $(FN)/$(OFN).pl texmf/fonts/tfm/public/aurical/$(OFN)Slant.tfm 
	tftopl $(FN)/$(OFN)Rslant.tfm | awk -f longs.awk >$(FN)/$(OFN).pl
	pltotf $(FN)/$(OFN).pl texmf/fonts/tfm/public/aurical/$(OFN)Rslant.tfm 
	tftopl $(FN)/$(OFN)Bold.tfm | awk -f longs.awk >$(FN)/$(OFN).pl
	pltotf $(FN)/$(OFN).pl texmf/fonts/tfm/public/aurical/$(OFN)Bold.tfm 
	tftopl $(FN)/$(OFN)BoldSlant.tfm | awk -f longs.awk >$(FN)/$(OFN).pl
	pltotf $(FN)/$(OFN).pl texmf/fonts/tfm/public/aurical/$(OFN)BoldSlant.tfm 
	tftopl $(FN)/$(OFN)BoldRslant.tfm | awk -f longs.awk >$(FN)/$(OFN).pl
	pltotf $(FN)/$(OFN).pl texmf/fonts/tfm/public/aurical/$(OFN)BoldRslant.tfm 
	cp $(FN)/$(OFN).afm $(FN)/$(OFN)Bold.afm $(FN)/$(OFN)Slant.afm $(FN)/$(OFN)Rslant.afm $(FN)/$(OFN)BoldSlant.afm $(FN)/$(OFN)BoldRslant.afm texmf/fonts/afm/public/aurical/
endif

clean: 
	rm -f $(FN)/$(FN).pfb $(FN)/$(FN).tfm $(FN)/$(FN).afm $(FN)/$(FN).enc
ifdef OFN
	rm -f $(FN)/$(OFN).pfb $(FN)/$(OFN).tfm $(FN)/$(OFN).afm $(FN)/$(OFN).enc
endif

boldclean:
	rm -f $(FN)/$(FN)Bold.pfb $(FN)/$(FN)Bold.tfm $(FN)/$(FN)Bold.afm $(FN)/$(FN)Bold.enc
	rm -f $(FN)/$(FN)Slant.pfb $(FN)/$(FN)Slant.tfm $(FN)/$(FN)Slant.afm $(FN)/$(FN)Slant.enc
	rm -f $(FN)/$(FN)Rslant.pfb $(FN)/$(FN)Rslant.tfm $(FN)/$(FN)Rslant.afm $(FN)/$(FN)Rslant.enc
	rm -f $(FN)/$(FN)BoldRslant.pfb $(FN)/$(FN)BoldRslant.tfm $(FN)/$(FN)BoldRslant.afm $(FN)/$(FN)BoldRslant.enc
	rm -f $(FN)/$(FN)BoldSlant.pfb $(FN)/$(FN)BoldSlant.tfm $(FN)/$(FN)BoldSlant.afm $(FN)/$(FN)BoldSlant.enc
ifdef OFN
	rm -f $(FN)/$(OFN)Bold.pfb $(FN)/$(OFN)Bold.tfm $(FN)/$(OFN)Bold.afm $(FN)/$(OFN)Bold.enc
	rm -f $(FN)/$(OFN)Slant.pfb $(FN)/$(OFN)Slant.tfm $(FN)/$(OFN)Slant.afm $(FN)/$(OFN)Slant.enc
	rm -f $(FN)/$(OFN)Rslant.pfb $(FN)/$(OFN)Rslant.tfm $(FN)/$(OFN)Rslant.afm $(FN)/$(OFN)Rslant.enc
	rm -f $(FN)/$(OFN)BoldRslant.pfb $(FN)/$(OFN)BoldRslant.tfm $(FN)/$(OFN)BoldRslant.afm $(FN)/$(OFN)BoldRslant.enc
	rm -f $(FN)/$(OFN)BoldSlant.pfb $(FN)/$(OFN)BoldSlant.tfm $(FN)/$(OFN)BoldSlant.afm $(FN)/$(OFN)BoldSlant.enc

endif
# 


